For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • GETReturns the currently logged-in user and workspace.
      • GETReturns all users with their details.
      • GETTries to retrieve user name and gender for the specified email.
      • GETReturns the currently logged-in user and workspace.
      • GETReturns the user with the specified id.
      • PUTUpdates the user with the specified id.
      • DELDeletes the user with the specified id.
      • POSTActivates the user with the specified id.
      • GETReturns the contact infos of the user with the specified id.
      • POSTCreates a new contact info for the user with the specified id.
      • GETReturns the contact info of the user with the specified id.
      • PUTUpdates the contact info of the user with the specified id.
      • DELDeletes the contact info of the user with the specified id.
      • POSTDeactivates the user with the specified id.
      • POSTArchives or unarchives the user with the specified id.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceUsers

Creates a new contact info for the user with the specified id.

POST
https://api.awork.com/api/v1/users/:userId/contactinfo
POST
/api/v1/users/:userId/contactinfo
$curl -X POST https://api.awork.com/api/v1/users/userId/contactinfo \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "label": null,
3 "value": null,
4 "type": "address",
5 "subType": "work",
6 "addressLine1": "Torstrasse 140",
7 "addressLine2": "Hof A",
8 "zipCode": "10119",
9 "city": "Berlin",
10 "state": null,
11 "country": "DE",
12 "isAddress": true,
13 "id": "123e4567-e89b-12d3-a456-426614174000",
14 "createdOn": "2024-01-15T09:30:00Z",
15 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
16 "updatedOn": "2024-01-15T09:30:00Z",
17 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
18}
<Check title="Required Permissions" icon="key">The user must be an admin or the creator or have `user-master-data:write` permissions.</Check>
Was this page helpful?
Previous

Returns the contact info of the user with the specified id.

Next
Built with
Required Permissions
The user must be an admin or the creator or have user-master-data:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequiredformat: "uuid"
The user to add contact information to.

Request

The model containing contact information details including address, phone number, and type.
labelstring or nullOptional0-1000 characters
The label of the contact info. Only necessary if type 'custom' is used.
valuestring or nullOptional0-1000 characters
The value of the contact info.
typestring or nullOptional0-25 characters

The type of the contact info. Possible values are: phone, email, address, messenger, social, urls.

subTypestring or nullOptional0-25 characters

The subtype of the contact info, Possible values are: Phone: [ ‘work’, ‘mobile’, ‘home’, ‘work Fax’, ‘fax’, ‘other’ ] Email: [ ‘work’, ‘private’, ‘other’ ] address: [ ‘work’, ‘home’, ‘other’ ] Messenger: [ ‘skype’, ‘whatsapp’, ‘other’ ] social: [ ‘facebook’, ‘twitter’, ‘xing’, ‘linkedIn’, ‘instagram’, ‘pinterest’, ‘other’ ] urls: [ ‘work’, ‘private’, ‘gitHub’, ‘other’ ].

addressLine1string or nullOptional0-1000 characters
The first Address line of the address.
addressLine2string or nullOptional0-100 characters
The second address line of the contact info.
zipCodestring or nullOptional0-100 characters
The Zipcode of the contact info.
citystring or nullOptional0-100 characters
The city of the contact info.
statestring or nullOptional0-100 characters
The state of the contact info.
countrystring or nullOptional0-100 characters
The 2 letter iso code of the country.
isAddressbooleanOptional
Flags whether this contactinfo is an address or not. If its an address, the address fields are required.

Response

OK
labelstring or null0-1000 characters
The label of the contact info. Only necessary if type 'custom' is used.
valuestring or null0-1000 characters
The value of the contact info.
typestring or null0-25 characters

The type of the contact info. Possible values are: phone, email, address, messenger, social, urls.

subTypestring or null0-25 characters

The subtype of the contact info, Possible values are: Phone: [ ‘work’, ‘mobile’, ‘home’, ‘work Fax’, ‘fax’, ‘other’ ] Email: [ ‘work’, ‘private’, ‘other’ ] address: [ ‘work’, ‘home’, ‘other’ ] Messenger: [ ‘skype’, ‘whatsapp’, ‘other’ ] social: [ ‘facebook’, ‘twitter’, ‘xing’, ‘linkedIn’, ‘instagram’, ‘pinterest’, ‘other’ ] urls: [ ‘work’, ‘private’, ‘gitHub’, ‘other’ ].

addressLine1string or null0-1000 characters
The first Address line of the address.
addressLine2string or null0-100 characters
The second address line of the contact info.
zipCodestring or null0-100 characters
The Zipcode of the contact info.
citystring or null0-100 characters
The city of the contact info.
statestring or null0-100 characters
The state of the contact info.
countrystring or null0-100 characters
The 2 letter iso code of the country.
isAddressboolean
Flags whether this contactinfo is an address or not. If its an address, the address fields are required.
idstringformat: "uuid"
The Id of the contact info.
createdOnstringformat: "date-time"
The creation date.
createdBystring or nullformat: "uuid"
The id of the user who created the entity.
updatedOnstringformat: "date-time"
The date when the entity was updated.
updatedBystring or nullformat: "uuid"
the id of the user who updated the entity.

Errors

404
Not Found Error